> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/background-tasks.md).

# Background tasks

Background tasks are tasks Struct PIM is performing behind the curtains for you.

### View background tasks

Background tasks are shown directly on the Background tasks page.

### Filter background tasks

Background tasks can be filtered by two different options:

* My background tasks
* All background tasks

### Show background task log

1. Click "Log"-icon

### Restart background task

1. Click "Restart"-icon

{% hint style="info" %}
You can only restart background tasks that failed.
{% endhint %}

### Download background task result

1. Click filepath under the Task information column

### Review AI translations

1. Click the arrow to the right of the status column
2. Approve or decline translations
3. Click "Save approved translation"

### Review AI text generation

1. Click the arrow to the right of the status column
2. Approve or decline generated text
3. Click "Save approved translations"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/background-tasks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
